/// <reference types="react" />
declare const updateChannelPreferenceBlockInjectable: import("@ogre-tools/injectable").Injectable<{
    kind: "block";
    id: string;
    parentId: string;
    orderNumber: number;
    Component: import("react").FunctionComponent<{}>;
    isShown: boolean;
}, import("../../../../../preferences/renderer/preference-items/preference-item-injection-token").PreferenceItemTypes, void>;
export default updateChannelPreferenceBlockInjectable;
